cad高手帮帮忙,怎样使用这个lsp工具

下面这个工具,写吥下了,只复制一部分;;;ACADR12.LSP;;;Copyright(C)1992byAutodesk,Inc.;;;;;;Permissiontou... 下面这个工具,写吥下了,只复制一部分
;;; ACADR12.LSP
;;; Copyright (C) 1992 by Autodesk, Inc.
;;;
;;; Permission to use, copy, modify, and distribute this software
;;; for any purpose and without fee is hereby granted, provided
;;; that the above copyright notice appears in all copies and that
;;; both that copyright notice and this permission notice appear in
;;; all supporting documentation.
;;;
;;; THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
;;; WARRANTY. ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
;;; PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.

;;;=== General Utility Functions ===

(defun *merr* (msg)
(setq *error* m:err m:err nil)
(princ)
)

(defun *merrmsg* (msg)
(princ msg)
(setq *error* m:err m:err nil)
(princ)
)

;;;=== AME and Region Modeler Functions ===

(defun ai_setup (len area lu mass vol)
(setq m:err *error* *error* *merrmsg*)
(ai_loadame)
(if (not (not SOLUNION))
(progn
(sollength len)
(solareau area)
(setvar "lunits" lu)
(princ "\nLength unit is set to ")(princ len)(princ ". ")
(princ "Area unit is set to ")(princ area)(princ ".\n")
(if (not (not SOLBOX))
(progn
(solmass mass) ;don't ask for regions
(solvolume vol) ;don't ask for regions
(princ "Mass unit is set to ")(princ mass)(princ ". ")
(princ "Volume unit is set to ")(princ vol)(princ ".\n")
)
)
(c:soldisplay)
(c:solwdens)
)
)
(setq *error* m:err m:err nil)
(princ)
)

(defun ai_upgvar ()
(setq m:err *error* *error* *merrmsg*)
(ai_loadame)
(if (not (not SOLUNION))
(progn
(solhangle 45)
(solhpat "U")
(solsolidify 3)
(princ "\nVariables Upgraded. Objects will be automatically solidified.")
)
)
(setq *error* m:err m:err nil)
(princ)
)

(defun ai_upgprec ()
(setq m:err *error* *error* *merrmsg*)
(ai_loadame)
(if (not (not SOLUNION))
(progn
(solupgrade 1)
(solpurge "bfile")
(princ "\nAME R1 solids will be converted to Double Precision.")
)
)
(setq *error* m:err m:err nil)
(princ)
)

(defun ai_scrcomp ()
(setq m:err *error* *error* *merrmsg*)
(ai_loadame)
(if (not (not SOLUNION))
(progn
(solamecomp "ame1")
(princ "\nScript compatibility set to AME R1.")
)
)
(setq *error* m:err m:err nil)
(princ)
)
各位高手,我已经加载了,像那位朋友说的,我就是吥知道输入什么才能调用它。
展开
 我来答
尽吉慧z
2010-01-30 · TA获得超过3423个赞
知道小有建树答主
回答量:1125
采纳率:0%
帮助的人:304万
展开全部
这个要会编程才行的,据我所知CAD不仅支持lisp,还支持VB
如果你不会的话可以拿现成的编好的,保存好,然后输入appload,就弹出一个外部程序加载对话框,你在里面选择你的lsp程序的保存路径就行了,下面一行会提示你加载成功.然后你在命令框,输入LSP程序的调用命令就能调用这个程序了,比如这个程序是defun zzz什么的,那你在命令栏打zzz就能调用了,但是调用之前必须先加载.
一般是第一行defun后面的那个阿,像这段(defun c:aaa (/ p1 p2 s a l x xx fx flx r c c1 c2 mspace myobj) ...
那调用命令就是aaa
VSH艾羽
2024-10-27 广告
CAD(计算机辅助设计)技术在上海艾羽信息科技有限公司的应用极为广泛。我们利用先进的CAD软件工具,精确高效地绘制产品设计图纸,从二维草图到三维建模,无所不能。这一技术不仅优化了设计流程,缩短了产品从概念到实物的周期,还通过精准的数据分析提... 点击进入详情页
本回答由VSH艾羽提供
slayoyo
2010-01-30 · TA获得超过797个赞
知道小有建树答主
回答量:268
采纳率:0%
帮助的人:0
展开全部
如果要用,直接在CAD里,"工具"---"加载"---选择你要加载的LSP文件---确认

要使用他,你就要知道它到底编出来的命令是什么....不知道那个的话,是不知道的
已赞过 已踩过<
你对这个回答的评价是?
评论 收起
推荐律师服务: 若未解决您的问题,请您详细描述您的问题,通过百度律临进行免费专业咨询

为你推荐:

下载百度知道APP,抢鲜体验
使用百度知道APP,立即抢鲜体验。你的手机镜头里或许有别人想知道的答案。
扫描二维码下载
×

类别

我们会通过消息、邮箱等方式尽快将举报结果通知您。

说明

0/200

提交
取消

辅 助

模 式